Subject: bug#67034: 30.0.50; Make `derived-mode-p` take a single arg

From: Daniel Mendler <[email-masked]>
Date: Fri, 10 Nov 2023 13:18:32 +0100

This change would affect many packages. I grepped through my elpa
directory and found multiple uses of derived-mode-p and
provided-mode-derived-p with multiple arguments as shortcuts:

(derived-mode-p 'mode1 'mode2) instead of (or (derived-mode-p 'mode1)
(derived-mode-p 'mode2)

There are also multiple call sites with apply, but these would be
arguably nicer if derived-mode-p takes a list argument as proposed.
Still, do the benefits of this change outweigh the required changes?